> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/28.-mutacija-issaugoti-kelias-pastabas-paketinis-veiksmas.md).

# 28. Mutacija: išsaugoti kelias pastabas, paketinis veiksmas

Ši mutacija leidžia pridėti kelias pastabas prie nurodyto lauko.

{% hint style="success" %}
Maksimalus išsaugomų pastabų kiekis yra 25.
{% endhint %}

{% hint style="success" %}
Pridėkite `uuid` atributą į įvestį, kad atnaujintumėte pastabą.
{% endhint %}

* Pastaba gali būti susieta su Lauku per jo unikalų identifikatorių `fieldUuid,`  prie susietos dirvosduomenų rinkinio per `soilDatasetUuid`, į zonų žemėlapį per `vectorAnalysisMapUuid`.
* Pastabos koordinates galima nustatyti naudojant `centroid` atributą, kuriam reikalingi apibrėžti `latitude` ir `longitude` reikšmės.&#x20;
* Pastabos tipą galima nurodyti naudojant `tipas` atributą su priimtomis reikšmėmis `PLANNED` arba `REAL`.&#x20;
* Pastabos aprašymą galima pateikti naudojant `comment` atributą. Jei aprašymas turi būti kelių eilučių, `comment` atributas turėtų turėti eilutę su naujosios eilutės simboliais `\\n` kad būtų atskirtos eilutės. Pavyzdžiui: `"Pirmoji eilutė yra čia\\nAntroji eilutė yra čia.\\nTrečioji eilutė yra čia."`.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutacija BatchSaveNotes {
  saveNotes(input:{
    notes: [{
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: PLANNED,
      comment: "Masinis išsaugojimas: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      uuid: "531d4cc4-b464-435c-8bb5-464cc13fcafa",
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masinis atnaujinimas: 1",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masinis išsaugojimas: 2",
      vectorAnalysisMapUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }, {
      fieldUuid: "d31240db-98e6-4cb0-b0a8-97ffe00f5e0d",
      centroid: {latitude: 51.177747, longitude:  -113.533613},
      type: REAL,
      comment: "Masinis išsaugojimas: 2",
      soilDatasetUuid: "983095c1-8d31-4cc0-9143-502c35df358d"
    }
  ]
  } ) {
    uuid
    fieldUuid
    sukūrimoData
    updatedDate
  }
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/ltu/api-dokumentacija/geopard-api-uzklausu-apzvalga/pastabos-zymekliai/28.-mutacija-issaugoti-kelias-pastabas-paketinis-veiksmas.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
